#!ruby -Ks

require "phi" ; include Phi

module Foo
  def on_change
    self.parent.caption = "ok .. #{self}"
  end
end

class Bar < Edit
  include Foo
# def initialize(*args)
#   super(*args)
# end
end

class Baz < Edit
  def on_change
    self.parent.caption = "ok .. #{self}"
  end
end

form = Form.new
edit1 = Bar.new form
edit2 = Baz.new form
edit2.top = edit1.bottom+2
form.show
mainloop

raise
